/*产品内测接口*/

import http from "@/api/http.js";

const internalInterface = {
  // 添加产品内测文章
  internalPreserveAndPublish: (params) => {
    return http.post("/cygx/productInterior/preserveAndPublish", params);
  },
  //  详情
  internalProductInteriorDetail: (params) => {
    return http.get("/cygx/productInterior/detail", params);
  },
  //  列表
  internalProductInteriorList: (params) => {
    return http.get("/cygx/productInterior/list", params);
  },
  //  发布取消发布
  internalProductInteriorPublish: (params) => {
    return http.post("/cygx/productInterior/publishAndcancel", params);
  },  
  //  删除
  internalProductInteriorDelete: (params) => {
    return http.post("/cygx/productInterior/delete", params);
  },
  //  可见范围修改
  internalProductInteriorVisibleRange: (params) => {
    return http.post("/cygx/productInterior/visibleRange", params);
  },
};
export default internalInterface;
